// used in solving q3map bogosities
textures/jlctf1/ik_gtrimv_lit3a_1000_nonsolid
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit3a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit3a.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit3a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit3a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}

textures/jlctf1/ik_metal_128b_nonsolid
{

	qer_editorimage textures/jlctf1/ik_metal_128b.tga
	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_metal_128b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}


// used in solving some bot bogosities
textures/jlctf1/noisy_clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm metalsteps
}

// big viewing screens

textures/jlctf1/basement_screen
{

	qer_editorimage textures/jlctf1/screen.tga
	surfaceparm nolightmap
	portal

	{
		map textures/jlctf1/screen.tga
		blendfunc blend
		depthWrite
		tcMod scroll 8 0.5
	}

	{
		map textures/sfx/blackness.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 480
		rgbGen identityLighting	
	}

}

textures/jlctf1/tower_screen
{

	qer_editorimage textures/jlctf1/screen.tga
	surfaceparm nolightmap
	portal

	{
		map textures/jlctf1/screen.tga
		blendfunc blend
		depthWrite
		tcMod scroll 8 0.5
	}

	{
		map textures/sfx/blackness.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 640
		rgbGen identityLighting	
	}

}


// door comp panels
// based on textures/base_wall/comp3

textures/jlctf1/comp3_calpha
{

	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000

	{
		animmap 4 textures/jlctf1/comp3_calpha_off.tga textures/jlctf1/comp3_calpha_off.tga textures/jlctf1/comp3_calpha.tga textures/jlctf1/comp3_calpha.tga textures/jlctf1/comp3_calpha.tga textures/jlctf1/comp3_calpha.tga textures/jlctf1/comp3_calpha_up.tga textures/jlctf1/comp3_calpha.tga
		rgbGen identity
	}

	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}

	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}

	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}       

textures/jlctf1/comp3_cbeta
{

	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000

	{
		animmap 4 textures/jlctf1/comp3_cbeta.tga textures/jlctf1/comp3_cbeta_off.tga textures/jlctf1/comp3_cbeta_off.tga textures/jlctf1/comp3_cbeta.tga textures/jlctf1/comp3_cbeta.tga textures/jlctf1/comp3_cbeta.tga textures/jlctf1/comp3_cbeta.tga textures/jlctf1/comp3_cbeta_up.tga
		rgbGen identity
	}

	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}

	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}

	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}       

textures/jlctf1/comp3_maint
{

	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000

	{
		animmap 4 textures/jlctf1/comp3_maint_up.tga textures/jlctf1/comp3_maint.tga textures/jlctf1/comp3_maint_off.tga textures/jlctf1/comp3_maint_off.tga textures/jlctf1/comp3_maint.tga textures/jlctf1/comp3_maint.tga textures/jlctf1/comp3_maint.tga textures/jlctf1/comp3_maint.tga
		rgbGen identity
	}

	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}

	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}

	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}       

textures/jlctf1/comp3_core
{

	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 1000

	{
		animmap 4 textures/jlctf1/comp3_core.tga textures/jlctf1/comp3_core_up.tga textures/jlctf1/comp3_core.tga textures/jlctf1/comp3_core_off.tga textures/jlctf1/comp3_core_off.tga textures/jlctf1/comp3_core.tga textures/jlctf1/comp3_core.tga textures/jlctf1/comp3_core.tga
		rgbGen identity
	}

	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}

	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}

	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
}       



// skybox images and shader by Justin "Harlequin" Fisher (edited slightly)

textures/jlctf1/jf-io_sky_noglow
{
	qer_editorimage textures/jlctf1/io_qer2.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_sun 1 .9 .8 150 0 90
	skyparms textures/jlctf1/io - -
}

// used to make basement ceiling "lost in darkness"... would be nice to use
// negative lights instead, but q3map doesn't support that (yet?)

textures/jlctf1/dim
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap

	{
		map textures/jlctf1/grey.jpg
	}
}

textures/jlctf1/dimmer
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_trans 0.5

	{
		map textures/jlctf1/grey.jpg
		blendFunc filter
	}
}

// "force field" appearance... must be combined with clips to actually be "forceful"
textures/jlctf1/field
{

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	cull back // effect is only visible from one side
	q3map_surfacelight 100
	q3map_lightsubdivide 128
	qer_trans 0.5

	{
		map textures/effects/invismap.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		tcMod turb 0 0.05 0 0.2
		tcmod scroll 0 0.15
//		rgbGen identity
	}

//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc filter
//	}

}

textures/jlctf1/field_nothing
{

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	qer_trans 0.5

	{
		map textures/jlctf1/nada.tga
		alphaFunc GE128
	}

}

textures/jlctf1/slick_clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm slick
}

// based sorta on textures/sfx/zap_scroll1000
textures/jlctf1/gen_zap
{

	q3map_surfacelight 1000
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/sfx/zap_scroll.tga
	cull none
	deformVertexes move 0 0 50 triangle 0 1 0 0.25
	
	{
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle .8 2 0 7
	}

	{
		map textures/sfx/zap_scroll.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle 1 1.4 0 5
		tcMod scale  -1 1
	}

	{
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle 1 1.4 0 6.3
		tcMod scale  -1 1
		tcMod scroll 2 0
	}

	{
		map textures/sfx/zap_scroll2.tga
		blendFunc GL_ONE GL_ONE
		rgbgen wave triangle 1 1.4 0 7.7
		tcMod scroll -1.3 0
	}

}

// no-shine version of concrete base_floor
textures/jlctf1/concretefloor_notshiny
{

	qer_editorimage textures/base_floor/concretefloor1.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_floor/concretefloor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity

	}

}

// no-shine versions of three "bluemetalsupport2" base_wall
textures/jlctf1/bluemetalsupport2c_1_notshiny
{

	qer_editorimage textures/base_wall/bluemetalsupport2c_1.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

}

textures/jlctf1/bluemetalsupport2clight_notshiny
{
	surfaceparm nomarks
	q3map_surfacelight 500
	qer_editorimage textures/base_wall/bluemetalsupport2clight.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2clight.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
	{
		map textures/base_wall/bluemetalsupport2clight.glow.tga
		blendFunc add
		rgbgen wave sawtooth .6 .1 0 4
	}
}

textures/jlctf1/bluemetalsupport2d_1_notshiny
{

	qer_editorimage textures/base_wall/bluemetalsupport2d_1.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2d_1.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

}

// based on textures/base_floor/proto_grate4
textures/jlctf1/proto_grate4_solid
{

	qer_editorimage textures/jlctf1/proto_grate_alt.tga
	// Used to be "solid"... too lazy to change the name now
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	nomipmaps

	{
		map textures/jlctf1/proto_grate_alt.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

// based on textures/base_wall/comp3
textures/jlctf1/comp3_fast
{

	q3map_lightimage textures/base_wall/comp3env.tga
	qer_editorimage textures/base_wall/comp3.tga
	q3map_surfacelight 1000

	{
		map textures/base_wall/comp3text.tga
		rgbGen identity
		tcmod scroll 3 1.2
	}

	{
		map textures/base_wall/comp3env.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .98 .02 0 5
	}

	{
		map $lightmap
		tcGen environment
		blendFunc GL_DST_COLOR GL_ONE
	}

	{
		map textures/base_wall/comp3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}       

// based on textures/base_wall/bluemetalsupport2fline and its art:
// textures/jlctf1/redmetalsupport2fline_glow.tga
textures/jlctf1/redmetalsupport2fline
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmetalsupport2fline_glow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga

	{
		map textures/base_wall/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}

	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}

}

textures/jlctf1/redmetalsupport2fline_notshiny
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmetalsupport2fline_glow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}

}

textures/jlctf1/bluemetalsupport2fline_notshiny
{

	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}

}

// based on textures/base_wall/blumtlspt2b and its art:
// textures/jlctf1/redmtlspt2bglow.tga
// textures/jlctf1/redmtlspt2b.tga
// textures/jlctf1/redmetalsupport2bglow.tga
textures/jlctf1/redmtlspt2b
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmtlspt2bglow.tga

	{
		map textures/base_wall/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/jlctf1/redmtlspt2b.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2bglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 .2
	}

}

textures/jlctf1/redmtlspt2b_notshiny
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmtlspt2bglow.tga
	qer_editorimage textures/jlctf1/redmtlspt2b.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/redmtlspt2b.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2bglow.tga
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 .2
	}

}

textures/jlctf1/blumtlspt2b_notshiny
{
	
	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/blumtlspt2bglow.tga
	qer_editorimage textures/base_wall/blumtlspt2b.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/blumtlspt2b.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2bglow.tga
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 .2
	}

}

// based on textures/base_wall/bluemetalsupport2b and its art:
// textures/jlctf1/redmetalsupport2bglow.tga
// textures/jlctf1/redmetalsupport2b.tga
textures/jlctf1/redmetalsupport2b
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmetalsupport2bglow.tga

	{
		map textures/base_wall/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/jlctf1/redmetalsupport2b.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2bglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 .2
	}

}

textures/jlctf1/redmetalsupport2b_notshiny
{

	q3map_surfacelight 100
	q3map_lightimage textures/jlctf1/redmetalsupport2bglow.tga
	qer_editorimage textures/jlctf1/redmetalsupport2b.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2b.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

	{
		map textures/jlctf1/redmetalsupport2bglow.tga
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 .2
	}

}

textures/jlctf1/bluemetalsupport2b_notshiny
{
	
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2bglow.tga
	qer_editorimage textures/base_wall/bluemetalsupport2b.tga

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2b.tga
		blendFunc GL_DST_COLOR GL_ZERO	
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2bglow.tga
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 .2
	}
}

// based on textures/ctf/border11c_r and its art:
// textures/jlctf1/border11c_r_ikish.tga
textures/jlctf1/border11c_r_ikish
{

	{
		map textures/jlctf1/border11c_r_ikish.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/jlctf1/border11c_pulse1b_r.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}

}

// based on textures/ctf/border11c_bx and its art:
// textures/jlctf1/border11c_b_ikish.tga
textures/jlctf1/border11c_b_ikish
{

	{
		map textures/jlctf1/border11c_b_ikish.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/base_trim/border11c_pulse1b.tga
		blendfunc gl_one gl_one
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}

}

// Calmer motion for blue banner
textures/jlctf1/ctf_calmblueflag
{

	qer_editorimage textures/ctf/ctf_blueflag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 1.5 0 .2
	deformVertexes normal .25 .05
	surfaceparm nomarks
	cull none

	{
		map textures/ctf/ctf_blueflag.tga
		rgbGen identity
	}

	{
		map textures/effects/redflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}

	{
		map textures/ctf/ctf_blueflag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment 
		//blendFunc GL_ONE GL_ONE
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


// Calmer motion for red banner
textures/jlctf1/ctf_calmredflag
{

	qer_editorimage textures/ctf/ctf_redflag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 1.5 0 .2
	deformVertexes normal .15 .1
	surfaceparm nomarks
	cull none

	{
		map textures/ctf/ctf_redflag.tga
		rgbGen identity
	}

	{
		map textures/effects/blueflagmap.tga
		tcGen environment
		tcmod scale 9 3
		tcmod scroll .1 .7
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}

	{
		map textures/ctf/ctf_redflag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment
		//blendFunc GL_ONE GL_ONE
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

// Clang clang clang

textures/jlctf1/ik_floor_met1b_noisy
{

	qer_editorimage textures/jlctf1/ik_floor_met1b.tga
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_floor_met1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}

textures/jlctf1/ik_floor_met1c_noisy
{

	qer_editorimage textures/jlctf1/ik_floor_met1c.tga
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_floor_met1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}

textures/jlctf1/ik_floor_met1d_noisy
{

	qer_editorimage textures/jlctf1/ik_floor_met1d.tga
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_floor_met1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}

textures/jlctf1/ik_floor_met1e_noisy
{

	qer_editorimage textures/jlctf1/ik_floor_met1e.tga
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_floor_met1e.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}

}

// Two Threewave CTF shaders, and reduced-friction variants.
// Colored light emitted has been juiced up too.

textures/jlctf1/metalbridge06_bounce_r
{
	qer_editorimage textures/sfx/metalbridge06_bounce.tga
	q3map_lightimage textures/jlctf1/jumppadsmall_r.tga	
	q3map_surfacelight 300

	surfaceparm nodamage
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/jlctf1/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jlctf1/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/jlctf1/metalbridge06_bounce_b
{
	qer_editorimage textures/sfx/metalbridge06_bounce.tga
	q3map_lightimage textures/jlctf1/jumppadsmall_b.tga	
	q3map_surfacelight 300

	surfaceparm nodamage
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/jlctf1/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jlctf1/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/jlctf1/metalbridge06_bounce_r_slick
{
	qer_editorimage textures/sfx/metalbridge06_bounce.tga
	q3map_lightimage textures/jlctf1/jumppadsmall_r.tga	
	q3map_surfacelight 300

	surfaceparm nodamage
	surfaceparm slick
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/jlctf1/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jlctf1/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/jlctf1/metalbridge06_bounce_b_slick
{
	qer_editorimage textures/sfx/metalbridge06_bounce.tga
	q3map_lightimage textures/jlctf1/jumppadsmall_b.tga	
	q3map_surfacelight 300

	surfaceparm nodamage
	surfaceparm slick
	
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/jlctf1/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/jlctf1/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}


// IKBASEQ3 shaders start here
// By Iikka "Fingers" Keranen (http://www.planetquake.com/ikq/)


textures/jlctf1/ik_gtrimh_lit1a_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimh_lit1a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimh_lit1a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimh_lit1a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimh_lit1a_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimh_lit1b_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimh_lit1b_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimh_lit1b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimh_lit1b.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimh_lit1b_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimh_lit1c_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimh_lit1c_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimh_lit1c.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimh_lit1c.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimh_lit1c_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimh_lit1d_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimh_lit1d_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimh_lit1d.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimh_lit1d.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimh_lit1d_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimv_lit1a_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit1a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit1a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit1a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit1a_glow.tga
		blendFunc add
		// modified for no-pulse
		//rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimv_lit1b_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit1b_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit1b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit1b.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit1b_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimv_lit1c_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit1c_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit1c.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit1c.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit1c_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimv_lit1d_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit1d_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit1d.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit1d.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit1d_glow.tga
		blendFunc add
		rgbGen wave noise .3 .2 0 10
	}
	
}

textures/jlctf1/ik_gtrimv_lit2a_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit2a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit2a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit2a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit2a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}

textures/jlctf1/ik_gtrimv_lit2b_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit2b_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit2b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit2b.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit2b_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}

textures/jlctf1/ik_gtrimv_lit3a_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit3a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit3a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit3a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit3a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}

textures/jlctf1/ik_gtrimv_lit3b_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit3b_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit3b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit3b.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit3b_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}
	
}


textures/jlctf1/ik_gtrimv_lit4a_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit4a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit4a.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit4a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit4a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}	
}

textures/jlctf1/ik_gtrimv_lit4b_1000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit4b_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit4b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit4b.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit4b_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}	
}

textures/jlctf1/ik_gtrimv_lit5a_3000
{
	q3map_lightimage textures/jlctf1/ik_gtrimv_lit5a_glow.tga
	qer_editorimage textures/jlctf1/ik_gtrimv_lit5a.tga
	surfaceparm nomarks
	q3map_surfacelight 3000

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/jlctf1/ik_gtrimv_lit5a.tga
		blendFunc blend
	}
        
	{
		map textures/jlctf1/ik_gtrimv_lit5a_glow.tga
		tcmod scale -1 -1
		blendFunc add
		rgbGen wave noise .3 .2 0 1
	}	
}

